Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.NodeRemove (grizzly v7.4.2)

Z-Wave command NODE_REMOVE

This command is useful for removing Z-Wave devices from the Z-Wave network

This response to this command should be a `Grizzly.ZWave.Commands.NodeRemoveStatus`

Params:

- `:seq_number` - the sequence number for the network command (required)
- `:mode` - the mode for the remove node process (optional default `:remove_node_any`)

# Summary

## Types

mode()

## Functions

decode_mode(byte)
encode_mode(atom)

# Types

Link to this type

# mode()

View Source

    @type mode() :: :remove_node_any | :remove_node_stop

# Functions

Link to this function

# decode_mode(byte)

View Source

    @spec decode_mode(byte()) :: {:ok, mode()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_mode(atom)

View Source

    @spec encode_mode(mode()) :: 1 | 5